> For the complete documentation index, see [llms.txt](https://docs.cn.omnibridge.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cn.omnibridge.pro/integration/batch-quote.md).

# 批量查询兑换汇率

### 接口汇率更新频率

> 批量获取兑换汇率基本信息接口，汇率更新频率为：4\~6s     &#x20;

### 接口说明

目前参数限制为10个交易对

**1. 接口调用：**

```
https://{host}/api/v1/getInfo
```

**2. 请求参数示例**

| 参数              | 是否必须 | 说明                                                          |
| --------------- | ---- | ----------------------------------------------------------- |
| transactionPair | 是    | 要查询的交易对信息,币种和币种之间用"to"隔开,多个交易对之间用","隔开,例如DOGEtoBTC,BTCtoETH |

**3.请求参数示例**

```
{
    "transactionPair":"DOGEtoBTC,BTCtoETH"
}
```

**4.返回结果示例**

```
{
    "data": {
        "DOGEtoBTC": {
            "depositMax": "21458291499499.955262",
            "depositMin": "0.081593",
            "instantRate": "0.001",
            "minerFee": "164.629310344827586207",
            "receiveCoinFee": "0.02"//兑换完成发币要扣除的网络手续费0.02HT(HECO)
        },
        "BTCtoETH": {
            "depositMax": "6000000",
            "depositMin": "45041.394252",
            "instantRate": "10000",
            "minerFee": "0.001",
            "receiveCoinFee": "0.0007"//兑换完成发币要扣除的网络手续费0.0007BTC
        }
    },
    "resCode": "800",
    "resMsg": "成功",
    "resMsgEn": ""
}
```

**5.返回参数说明**

<table><thead><tr><th width="118">字段名称</th><th width="250">字段</th><th width="100">数据类型</th><th>备注</th></tr></thead><tbody><tr><td>即时汇率</td><td>instantRate</td><td>String</td><td>"精确到小数点后十位 接收货币/存入货币的汇率"</td></tr><tr><td>最低存储额 </td><td>depositMin </td><td>String </td><td>精确到小数点后六位</td></tr><tr><td>最高存储额 </td><td>depositMax </td><td>String </td><td>精确到小数点后六位</td></tr><tr><td>兑换手续费 </td><td>depositCoinFeeRate</td><td>String </td><td>精确到小数点后六位</td></tr><tr><td>发币手续费</td><td>chainFee</td><td>String</td><td>精确到小数点后六位</td></tr></tbody></table>

### **注意事项**

> 因为**去中心化兑换**，用户的手续费方式为原币，手续费固定收取存入原币的千分之三（即：存入0.1btc，实际会扣取0.0003btc作为兑换的手续费，实际兑换时，只拿0.0997btc去做兑换）

### 计算用户兑换实际到账数量

实际到账数量 = （用户存币数量 - 兑换手续费数量）\* 汇率 -  发币网络手续费

receiveCoinAmt = （depositCoinAmt - depositCoinAmt \* 兑换手续费率） *\** instantRate - receiveCoinFee


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cn.omnibridge.pro/integration/batch-quote.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
